Payments
Query Payment Order
It is necessary to package the data in the parameter table into JSON strings and use rsa for parameter encryption and signature as data and sign in the body.
POST
/
platformapi
/
chainup
/
open
/
opay
/
orderDetail
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/orderDetail
{
"code": 0,
"msg": "Success",
"data": {
"totalAccount": [
{
"accountName": "name",
"accountType": 202001,
"accountBalance": 1000.21
},
{
"accountName": "name",
"accountType": 203001,
"accountBalance": 1000.21
}
],
"googleStatus": 1,
"appOrderId": "100000009",
"sign": "2ae04ed9165624419bad68e9e0f3f29fbdqws2ae04ed9165624419bad68e9e0f3f29fbd",
"orderNum": "12321",
"orderStatus": "1",
"userId": 230000,
"isOpenMobileCheck": "1",
"orderAmount": "20001.21",
"payCoinSymbol": "btc",
"ctime": "20000000",
"appKey": "xxx_xxx",
"showPrecision": "8"
}
}
Query Parameters
appKey
string
requiredMerchant AppKey
Example: xxx_xxx
orderNum
string
requiredOpen platform order number.
Example: 1000000002
token
string
Authorized token.
Example: 2ae04ed9165624419bad68e9e0f3f29fbd
Response
200 - application/json
code
string
Return code.
Example: 0
msg
string
Success or failure message
Example: Success
data
object
curl --request POST \
--url http://service.xxx.com/platformapi/chainup/open/opay/orderDetail
{
"code": 0,
"msg": "Success",
"data": {
"totalAccount": [
{
"accountName": "name",
"accountType": 202001,
"accountBalance": 1000.21
},
{
"accountName": "name",
"accountType": 203001,
"accountBalance": 1000.21
}
],
"googleStatus": 1,
"appOrderId": "100000009",
"sign": "2ae04ed9165624419bad68e9e0f3f29fbdqws2ae04ed9165624419bad68e9e0f3f29fbd",
"orderNum": "12321",
"orderStatus": "1",
"userId": 230000,
"isOpenMobileCheck": "1",
"orderAmount": "20001.21",
"payCoinSymbol": "btc",
"ctime": "20000000",
"appKey": "xxx_xxx",
"showPrecision": "8"
}
}